# The Best Magento 2 Popup extension FREE

**Mageplaza Magento 2 Better Popup extension (Exit Intent / Newsletter Popup)** cuts down the number of abandoning visitors of a store, and to help convert them to actual customers or subscribers. 

**Exit-intent technology** plays the fundamental role in building better pop-ups, visitors who are about to leave your websites will be kept staying for a little longer by a subscription invitation or a discount offer.

[![Latest Stable Version](https://poser.pugx.org/mageplaza/module-better-popup/v/stable)](https://packagist.org/packages/mageplaza/module-better-popup)
[![Total Downloads](https://poser.pugx.org/mageplaza/module-better-popup/downloads)](https://packagist.org/packages/mageplaza/module-better-popup)


![magento 2 exit intent](https://i.imgur.com/K5mpJM0.gif)

## 1. Popup Documentation

- [Installation guide](https://www.mageplaza.com/install-magento-2-extension/)
- [User guide](https://docs.mageplaza.com/better-popup/index.html)
- [Introduction page](http://www.mageplaza.com/magento-2-better-popup/)
- [Contribute on Github](https://github.com/mageplaza/magento-2-better-popup)
- [Get Support](https://github.com/mageplaza/magento-2-better-popup/issues)

## 2. Better Popup FAQs

**Q: I got error: Mageplaza_Core has been already defined**

A: Read solution [here](https://github.com/mageplaza/module-core/issues/3)

**Q: On which pages of my website can Better Popup be displayed?**

A: On any pages you want. Basically, there is no restriction for where a popup is shown. Admins can select particular pages to display popups or include/exclude page URLs to define the where a popup can be shown.

**Q: How does a pop-up look?**

A: It can be a center window or can be a full-screen pop-up

**Q: When a pop-up is shown, what a visitor can do with it?**

A: A visitor can exit the popup then keep surfing the page, or leave an email address on the box. He/she can also quit the page without exiting the pop-up.

**Q: How do I keep track of the number of new subscribers?**

A: A weekly report on the number of new subscribers with their email addresses is sent every Saturday. In the report, eight of the most recent subscribers’ emails will be featured.

**Q: Is it possible to see the figures of my subscribers on the admin dashboard?**

A: To see a full report on dashboard, you can integrate the [free Reports extension by Mageplaza](https://www.mageplaza.com/magento-2-reports-extension/).

**Q: Are the popup templates customizable?**

A: Yes. You can design a pop-up from backend. HTML is supported here. If you want, pre-made templates can also be used or redesigned

**Q: I’m afraid that showing popups continuously will make our visitors annoyed.** 

A: You can set the time to re-display a popup

## 3. How to install Better Popup extension for Magento 2

### ✓ Install via composer (recommend)
Run the following command in Magento 2 root folder:

With Social Proof (Recommend):
```
composer require mageplaza/module-better-popup avada/module-proofo
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

Without Social Proof:
```
composer require mageplaza/module-better-popup
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

## 4. Better Popup Highlight Features

### A Leads Booster

New leads are craved by online business. Among multiple ways to expand your email list, collecting leads from subscription seems to be effective and money-saving. Better Popup extension is a good tool which can assist you to do this. Visitors who enter your online store are already interested in your service; however, they want more motivation to stay, or at least, to follow the page. A timely popup with an subscription invitation or a special offer will help you add one more email address into your list. All of this process will happen automatically.

### Exit-intent Popup

Exit-intent technology helps a pop-up show up as soon as a visitor attempts to abandon a page. The module is able to recognize one’s intention of quitting and, right away, allows the system to pop a window.  

### Free customization

Admins can create a new template, use or customize Mageplaza’s premade pop-up designs:
- Admins can create brand new content by using HTML
- Admins can choose to display a popup as a full-screen or a center window
- Admins can select the background color and text color of all popups

### Ready-to-use Popup Templates

There are 3 pre-made pop-up templates with 2 main display styles which are ready to use. Admins are free to change these templates or use them after installing **Magento 2 Better Popup extension**.

## 5. More Features

### Display triggers

There are four display triggers of a pop-up:
- A popup can be shown when an intention of exit is detected.
- A popup can be displayed right after the page is loaded
- A popup can be shown after X% of the page is scrolled
- A popup can be displayed after X seconds

### Congratulation Popups

After a window is popped up, if the visitor subscribes your email list, a congratulation pop-up can be shown. Admins can configure to show:
- A message with a copyable coupon code
- A message with fireworks
- A message with a copyable coupon code and fireworks

### Re-display Popups

Visitors are not fond of spamming pop-ups, admins can configure to:
- Re-show pop-ups after X days
- Re-show pop-ups after 30 days as default

### Report emails

On every Saturday, a report on how many new subscribers that you’ve got within a week is sent to you. The report will also feature eight of the most recent subscribers’ email addresses.

### Report compatibility

If your store also install [Mageplaza Reports extension free module](https://www.mageplaza.com/magento-2-reports-extension/), a widget will be inserted into the admin dashboard which show a full report on your subscribers.

### SMTP compatibility

The new-subscriber report emails function is compatible with [Magento 2 SMTP by Mageplaza](https://www.mageplaza.com/magento-2-smtp/). This helps guarantee of spam-free emails.

## 6. Full Magento 2 Popup features

### Better Popup for store admins
- Turn on/turn off module from the backend
- Content of the pop-ups are easily customizable
- Display a pop-up window in full screen or center
- Pop-up’s width and height are easy to adjust
- Easy to change the background color and text color of the popup
- Enable/disable congratulation popups
- Easy to customize congratulation pop-ups’ content
- Allow admins to show a coupon code in congratulation pop-up
- Display pop-ups in multiple pages by inserting a snippet
- Show pop-ups on specific pages
- Exclude pages to show pop-ups
- Display popups after a page is loaded
- Display popups after one scrolls X% of the page
- Display popups after X seconds one stays on the site
- Display popups as one attempts to quit the site
- Re-display popups after X days
- Display a floating button on defined positions
- Display the Terms and Conditions checkbox ([GDPR compliance](https://www.mageplaza.com/magento-2-gdpr-extension/))
- Admins get a weekly report on new subscribers
- Features the 8 most recent subscribed email addresses on weekly report

### Better Popup for shoppers

- Click exit the site without quitting the popup
- Click on the floating button to see the popup
- Get discount coupons after subscribing
- Actively check the Terms and Conditions box to subscribe (GDPR compliance)

## 7. How to configure Magento 2 Popup extension

To start the configuration, from the Admin Panel, make your way to **Store > Settings > Configuration > Mageplaza Extensions > Better Popup**

![How to configure Magento 2 Popup extension](https://i.imgur.com/iTCY7lm.png)

### Better Popup Configuration

#### General Configuration

At the `Enable` box: select Yes to activate the module, select No to deactivate.

![general configuration](https://i.imgur.com/2JpIPwz.png)

#### What to show Popup

![what to show Popup](https://i.imgur.com/NAcSvrz.png)

**Template**

![template](https://i.imgur.com/d1T3W3s.png)

- This is the section for admins to select the pop-up template which is displayed on the frontend
- At the `Template` box: select a template to use
- Click on `Load HTML` to load the template, the HTML code of the template will be displayed in the Content box below
- Use the Content box to customize the template.

**Content**

- Enter the content which you want to display in a pop-up
- Leave this field blank to use the default content
- Admins are free to design the popup by using HTML

**Responsive design**

![responsive design](https://i.imgur.com/KMSOhYK.png)

- At the Responsive design box: 
    * Select Center Popup to display the pop-up in the center of the screen with a moderate size.
    * Select FullScreen Popup to display the pop-up full screen. The popup’s content will be shown in the center of the screen

- At the Background Color box: This allows admins to choose the color for the popup’s background.
- At the Text Color box: This allows admins to choose the popup’s text color.

**Popup Success**

![popup success](https://i.imgur.com/RB6s990.png)

- **Coupon code**: Enter a coupon code. This coupon code will be displayed after a successful subscription. The code can be redeemed when the subscriber purchase on your store.
- **Content**: When a popup template is selected and loaded above, the relative HTML code for congratulation popup will be displayed in this Content section. This content for congratulation popup is the same as the selected template. Admins can design the popup display by using HTML
- **Show congratulation fireworks**: Select Yes if you want to show fireworks when a visitor successfully subscribe. Notice: Fireworks will only be displayed if you set `Responsive Design = Center Popup`

#### Where to show Popup

![where to show](https://i.imgur.com/sYDTXhP.png)

**Which page to show**

![where to show](https://i.imgur.com/5gKcBQt.png)

   * **Which page to show = All Pages**: Select All Pages to display popups on all pages
   * **Which page to show = Manually Insert**: Select Manually Insert to display popups on only pages with a specific snippet

![which page to show](https://i.imgur.com/MOJl7ia.png)

- **Insert manually this snippet to your page**: Display the code so that admins can copy and insert into the pages they wish to display the popup
    * **Insert manually this snippet to your page**
      * **CMS Page/Static Block**: Copy the code and insert it into the pages at the Content > Page
      * **Template .phtml file**: Copy the code and insert it into .phtml file of Magento or the other extensions that you want to display the popup
      * **Layout file**: Copy the code and insert it into the .xml file of Magento or the other extensions you want to display the popup

    * **Which page to show = Specific Page**: Display the popup on some selected pages

![which page to show](https://i.imgur.com/lfx1NTq.png)

- **Include Pages**: Enter one or some pages to display the popup. If there are more than one popup, separate them by commas
    * **Include Page with URL contains**: The popup will be displayed on the page which contain the URL which is entered. Separate several URLs by downlines
    * **Exclude Pages**: Enter one or some pages which you don’t want to show the popup. Separate pages with commas
    * **Exclude page with URL contains**: The popup will not allowed to show up on pages which contain URL paths entered. Separate URLs with downlines.

``Note``: The priority of Exclude section is greater than the Include section.

#### When to show Popup

![when to show](https://i.imgur.com/QCwqQKi.png)

**When the popup appears?**

![when the popup appears](https://i.imgur.com/mkqpIRB.png)

- Select Exit Intent to display popups when one moves the mouse out of the current page
- Select After page load to display popups after the page is loaded
    * Select After X seconds to display popups after X seconds one visits the page
    
    ![after x seconds](https://i.imgur.com/ZxONFiO.png)
    
- After X seconds: Enter the number of seconds that a popup is displayed after a visit. After this amount of time since one stays on a page, the popup will appear.

- Select After Scroll down X% to display popups after one scrolls X% of a page.

![after scroll down](https://i.imgur.com/afgzM4h.png)

- After scroll down: Enter the percentage of page which is scrolled before the popup shows up. The popup will appear after one scrolls down X% of the page
- The popup will show again later
    * Enter the number of days for a popup to be re-displayed
    * Enter 0 to re-display popups everytime the mouse is hovered outwards the page, or after X seconds on page, or after X% of the page is scrolled down.
    * The popup will be re-displayed after 30 days by default if you leave this field blank.
    * The popup can be re-displayed based on the cookie of the browser.
    
- Show Floating button: Select Yes to display the floating button.

![show float button](https://i.imgur.com/lNvyjPl.png)

- Select Left to display the floating button on the left corner of the screen. Select Right to display it on the right corner of the screen.

**Send Email**

![send email](https://i.imgur.com/lDUjy6X.png)

- **Enable Send Email**: Select Yes to enable the send email functionality. 
- **Send Email To**:
    * Enter the email address which you want to send the notification to
    * The email will report the number of new subscribers in a week and include the 8 most recent email addresses of subscribers
    * The email is sent every Saturday
    * Click on `Send Now` to send the email immediately
    * Report Emails are sent to multiple stores separately. If you have 2 stores, there will be 2 emails sent to these stores individually.

### Better Popup

![Magento 2 better popup](https://i.imgur.com/mDvAgu1.png)

### Email Reports

![Better Popup email reports](https://i.imgur.com/6sWvOWA.png)

### Email's content

![the content of the email](https://i.imgur.com/glveCbt.png)


**Peoples also search:**
- Mageplaza better popup
- magento 2 popup
- magento 2 popup free
- magento 2 popup module
- magento 2 popup github
- magento 2 popup extension
- magento 2 newsletter popup extension free
- magento 2 exit intent popup
- magento 2 modal popup on click
- magento 2 popup window extension
- popup magento 2
- popup in magento 2


**Other free extension on Github**
- [Magento 2 google maps](https://github.com/mageplaza/magento-2-google-maps)
- [Magento 2 GDPR](https://github.com/mageplaza/magento-2-gdpr)
- [Magento 2 Multiple Flat Rates Shipping](https://github.com/mageplaza/magento-2-multi-flat-rates)
- [Magento 2 Report extension](https://github.com/mageplaza/magento-2-reports)
- [Magento 2 social login](https://github.com/mageplaza/magento-2-social-login)
- [Magento 2 blog extension](https://github.com/mageplaza/magento-2-blog)
- [Magento 2 Layered Navigation](https://github.com/mageplaza/magento-2-ajax-layered-navigation)
- [Magento 2 shared cart](https://github.com/mageplaza/magento-2-share-cart)
- [Magento 2 SMTP](https://github.com/mageplaza/magento-2-smtp)


**The Best Magento 2 Popup extension**
- [Popup Documentation](#1-popup-documentation)
- [Better Popup FAQs](#2-better-popup-faqs)
- [How to install Better Popup extension for Magento 2](#3-how-to-install-better-popup-extension-for-magento-2)
  - [Install via composer](#-install-via-composer-recommend)
- [Better Popup Highlight Features](#4-better-popup-highlight-features)
  - [A Leads Booster](#a-leads-booster)
  - [Exit-intent Popup](#exit-intent-popup)
  - [Free customization](#free-customization)
  - [Ready-to-use Popup Templates](#ready-to-use-popup-templates)
- [More Features](#5-more-features)
  - [Display triggers](#display-triggers)
  - [Congratulation Popups](#congratulation-popups)
  - [Re-display Popups](#re-display-popups)
  - [Report emails](#report-emails)
  - [Report compatibility](#report-compatibility)
  - [SMTP compatibility](#smtp-compatibility)
- [Full Magento 2 Popup features](#6-full-magento-2-popup-features)
  - [Better Popup for store admins](#better-popup-for-store-admins)
  - [Better Popup for shoppers](#better-popup-for-shoppers)
- [How to configure Magento 2 Popup extension](#7-how-to-configure-magento-2-popup-extension)
  - [Better Popup Configuration](#better-popup-configuration)
















